<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Результат поиска</title>
</head>
<body>
<form action="search" method="get">
    <div style="display: block; text-align: left;">
        <label for="query" style="display: block;">Введите запрос:</label>
        <input type="text" name="query" id="query" style="display: block;" />
    </div>
    <br/>
    <input type="submit" value="Поиск" />
</form>

<div th:if="${message}" th:text="${message}"></div>
<ul th:if="${books}">
    <li th:each="book : ${books}" class="search-result-item">
        <h3>
            <span th:if="${book.getOwner() == null}">
                 <span th:text="${book.getBookName() + ', ' + book.getAuthor() + ', ' + book.getYear()}"></span> - Эта книга свободна</span>
            <span th:unless="${book.getOwner() == null}" th:text="${book.getBookName() + ', ' + book.getAuthor() + ', ' + book.getYear()}"></span>
        </h3>
        <p th:if="${book.getOwner() != null}">Сейчас книга у: <span th:text="${book.getOwner().getName()}"></span></p>
    </li>
</ul>
</body>
</html>